# $Revision: 1.104.2.1 $, $Date: 2006/08/23 13:32:41 $
#
# Conditional build:
%bcond_without	selinux		# build without SELinux support
%bcond_without	skey		# disable skey (onetime passwords) support
%bcond_without	heimdal		# disable Kerberos support
%bcond_without	ldap		# disable LDAP support
#
Summary:	Allows command execution as root for specified users
Summary(es):	Permite que usuarios especficos ejecuten comandos como se fueran el root
Summary(ja):	桼դroot¤Ĥ
Summary(pl):	Umoliwia wykonywanie polece jako root dla konkretnych uytkownikw
Summary(pt_BR):	Permite que usurios especficos executem comandos como se fossem o root
Summary(ru):	       root
Summary(uk):	Ѥ     צ Φ root
Name:		sudo
Version:	1.6.8p12
Release:	3
Epoch:		1
License:	BSD
Group:		Applications/System
Source0:	ftp://ftp.sudo.ws/pub/sudo/%{name}-%{version}.tar.gz
# Source0-md5:	b29893c06192df6230dd5f340f3badf5
Source1:	%{name}.pamd
Source2:	%{name}.logrotate
Patch0:		%{name}-selinux.patch
Patch1:		%{name}-ac.patch
URL:		http://www.sudo.ws/sudo/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
%{?with_heimdal:BuildRequires:	heimdal-devel >= 0.7}
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	libtool
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
BuildRequires:	pam-devel
%{?with_skey:BuildRequires:	skey-devel >= 2.2-11}
Requires:	pam >= 0.77.3
Obsoletes:	cu-sudo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sudo (superuser do) allows a permitted user to execute a command as
the superuser (real and effective uid and gid are set to 0 and root's
group as set in the passwd file respectively).

Sudo determines who is an authorized user by consulting the file
/etc/sudoers. By giving sudo the -v flag a user can update the time
stamp without running a command. The password prompt itself will also
time out if the password is not entered with N minutes (again, this is
defined at installation time and defaults to 5 minutes).

%description -l es
Sudo (superuser do) permite que el administrador del sistema otorga a
ciertos usuarios (o grupos de usuarios) la habilidad para ejecutar
algunos (o todos) comandos como root, registrando todos los comandos y
argumentos. Sudo opera en una base por comando, no siendo un
substituto para la shell.

%description -l ja
sudo (superuser do)
ȤϥƥԤѤǤ桼(ޤϥ롼)
ơĤ(⤷)Υޥɤ root
ȤƼ¹ԤǤ褦Υޥ
ɤμ¹ΥȤĤĵĤȤߤǤsudo
ϥޥɰñ̤ư
ޤ֤ǤϤޤ󡣰ʲεǽ¢Ƥޤۥñ
ǡΥޥɤ¹Բǽʥ桼¤뵡ǽƥޥɤˤĤƤ(ï
ˤ¹ԤκפĤ)˭٤ʥ󥰵ǽsudo
ޥɤΥॢ
Ȼ֤ǽʣΥޥƱե(sudoers)ͭ뵡ǽ
ޤ

%description -l pl
Sudo (superuser do) umoliwia wykonywanie konkretnych polece jako
root dla wyspecyfikowanych uytkownikw (rzeczywiste i efektywne
uid/gid podczas wykonywania tych programw jest 0). To kto moe
wykonywa konkretne polecenia i w jaki sposb ma by autoryzowany jest
opisane w pliku /etc/sudoers.

%description -l pt_BR
Sudo (superuser do) permite que o administrador do sistema d a certos
usurios (ou grupos de usurios) a habilidade para rodar alguns (ou
todos) comandos como root, registrando todos os comandos e argumentos.
Sudo opera numa base por comando, no sendo um substituto para a
shell.

%description -l ru
Sudo (superuser do)    
  (  )  
 ( )    root,    
  . Sudo    ,  
   (shell).    sudo:
 ,      
  ;    ;
 ,    sudo  ;
    (sudoers)  
.

%description -l uk
Sudo (superuser do) Ѥ  ͦΦצ  
 (  ) צ  ˦ ( Ӧ)
   root,    Ӧ  
. Sudo    ,   ͦ ϧ
 (shell). ˦   sudo:  , ˦
     Ԧ צ ; 
 ϧ ;  ,  ڦ  sudo
' ;   Ʀæ  (sudoers)
  .

%prep
%setup -q
%{?with_selinux:%patch0 -p1}

# only local macros
mv -f aclocal.m4 acinclude.m4
# kill libtool.m4 copy
rm -f acsite.m4

%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
# sparc64 2.4.x kernels have buggy sys32_utimes(somefile, NULL) syscall
# it's fixed in >= 2.4.31-0.3, but keep workaround not to require very
# fresh kernel
%ifarch sparc sparcv9
export ac_cv_func_utimes=no
%endif
%configure \
	NROFFPROG=nroff \
	--with-incpath=/usr/include/security \
	--with-timedir=/var/run/sudo \
	--with-pam \
	--with-logging=both \
	--with-logfac=auth \
	--with-logpath=/var/log/sudo \
	--with-ignore-dot \
	--with-env-editor \
	--with-secure-path="/bin:/sbin:/usr/bin:/usr/sbin" \
	--with-loglen=320 \
	--disable-saved-ids \
	--with%{!?with_heimdal:out}-kerb5 \
	--with%{!?with_ldap:out}-ldap \
	--with%{!?with_skey:out}-skey \
	--with-long-otp-prompt \
	--with-sendmail=/usr/sbin/sendmail

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{pam.d,logrotate.d},/var/{log,run/sudo}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	install_uid=`id -u` \
	install_gid=`id -g` \
	sudoers_uid=`id -u` \
	sudoers_gid=`id -g`

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/sudo
touch $RPM_BUILD_ROOT/var/log/sudo
install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/sudo

chmod -R +r $RPM_BUILD_ROOT%{_prefix}

rm -f $RPM_BUILD_ROOT%{_libdir}/sudo_noexec.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES HISTORY README TODO TROUBLESHOOTING sample.sudoers
%attr(440,root,root) %verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/sudoers
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/sudo
%attr(4755,root,root) %{_bindir}/sudo
%attr(4755,root,root) %{_bindir}/sudoedit
%{?with_selinux:%attr(755,root,root) %{_sbindir}/sesh}
%attr(755,root,root) %{_sbindir}/visudo
%attr(755,root,root) %{_libdir}/sudo_noexec.so
%{_mandir}/man*/*
%attr(600,root,root) %ghost /var/log/sudo
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%attr(700,root,root) %dir /var/run/sudo

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sudo.spec,v $
Revision 1.104.2.1  2006/08/23 13:32:41  baggins
- release 3
- force sendmail path as it seems it's not detected on builders at compile time

Revision 1.104  2006/01/17 15:45:57  baggins
- release 2
- BR openldap 2.3

Revision 1.103  2005/12/04 23:37:15  glen
- adapterized (sorted %verify flags)

Revision 1.102  2005/11/16 09:30:27  havner
- 1.6.8p12
- fixes http://securitytracker.com/alerts/2005/Nov/1015192.html

Revision 1.101  2005/10/30 16:44:26  qboosh
- updated to 1.6.8p11 (more env cleaning)
- updated URLs

Revision 1.100  2005/09/24 10:11:55  charles
- corrected parameters with/without bconds

Revision 1.99  2005/09/23 11:48:51  qboosh
- missing )

Revision 1.98  2005/09/23 11:30:26  djurban
- add heimdal, ldap, skey bconds

Revision 1.97  2005/07/06 19:39:39  arekm
- br heimdal >= 0.7

Revision 1.96  2005/06/28 08:26:55  qboosh
- added CAN entry for rev. 1.94

Revision 1.95  2005/06/20 19:51:38  qboosh
- this "bug fix" release includes security fix (CAN entry not known yet)

Revision 1.94  2005/06/20 19:37:13  darekr
- updated to 1.6.8p9 (bug fix release)
[fixes CAN-2005-1993]

Revision 1.93  2005/06/14 17:13:53  qboosh
- added comment to sparc utimes() workaround; sparc64 userland is not affected

Revision 1.92  2005/06/08 23:04:02  undefine
- workaround for broken utimes on sparc. see at: http://tinyurl.com/ckh4f
- release 4

Revision 1.91  2005/05/29 16:51:55  arekm
- rel 3; enable kerberos5, ldap, skey support; drop insults

Revision 1.90  2005/05/15 21:36:29  adamg
- release 2 for Th

Revision 1.89  2005/04/05 19:49:10  qboosh
- updated to 1.6.8p8 (noexec on Linux fixed)

Revision 1.88  2005/02/07 21:59:25  qboosh
- updated to 1.6.8p7

Revision 1.87  2005/01/05 22:55:08  aniolek
- updated to 1.6.8p6

Revision 1.86  2004/11/30 21:53:09  qboosh
- updated to 1.6.8p5

Revision 1.85  2004/11/22 11:30:23  qboosh
- sorted BRs

Revision 1.84  2004/11/19 17:58:22  qboosh
- updated to 1.6.8p4 (more env adjustments)

Revision 1.83  2004/11/17 20:58:29  glen
- added selinux bcond; rel 2; STBR

Revision 1.82  2004/11/12 21:56:08  radzio
- updated to 1.6.8p2
- this version include sec fix (see
  http://www.sudo.ws/sudo/alerts/bash_functions.html)

Revision 1.81  2004/10/31 15:32:13  paladine
- spaces->tabs

Revision 1.80  2004/10/29 11:18:00  paladine
- spelling fixes

Revision 1.79  2004/10/10 19:41:34  paladine
- added missing BR: libtool

Revision 1.78  2004/09/23 16:05:24  havner
- rel 2

Revision 1.77  2004/09/23 11:22:37  kolodko
- added macros in /etc/logrotate.d

Revision 1.76  2004/09/19 10:37:44  qboosh
- updated to 1.6.8p1 (includes sudoedit security fix)
- updated selinux,ac patches

Revision 1.75  2004/08/29 20:42:36  qboosh
- updated to 1.6.8, updated selinux patch, added ac patch
- dropped non-existing configure options, unified binaries perms

Revision 1.74  2004/04/13 04:14:24  agaran
- bcond without selinux

Revision 1.73  2004/02/10 15:24:39  arekm
- update selinux patch

Revision 1.72  2004/01/02 01:16:27  arekm
- fix selinux

Revision 1.71  2003/12/26 19:32:01  arekm
- added BR: libselinux-devel

Revision 1.70  2003/12/26 19:26:53  arekm
- added selinux support

Revision 1.69  2003/12/22 19:20:27  jajcus
- copy config.sub from automake

Revision 1.68  2003/10/12 20:02:02  tiwek
- why BR /bin/vi ? visudo use $EDITOR. removed

Revision 1.67  2003/09/26 14:25:47  baggins
- release 2

Revision 1.66  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.65  2003/09/02 15:23:45  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.64  2003/08/18 08:09:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.63  2003/05/28 13:02:07  malekith
- massive attack: source-md5

Revision 1.62  2003/05/25 06:27:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.61  2003/05/12 19:31:51  kloczek
- updated to 1.6.7p5: fixed a problem with large numbers of environment variables.

Revision 1.60  2003/04/21 08:34:48  misi3k
- updated to 1.6.7p4

Revision 1.59  2003/04/03 19:36:55  misi3k
- updated to 1.6.7p2

Revision 1.58  2002/12/27 23:57:23  radek
- added NROFFPROG=nroff to ./configure (probably not needed if
  groff is installed while building)

Revision 1.57  2002/12/07 23:49:26  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.56  2002/11/30 23:00:28  juandon
- new %%doc

Revision 1.55  2002/05/16 20:07:46  kloczek
- release 2: merge translations from KSI and TurboLinux.

Revision 1.54  2002/04/25 17:21:55  kloczek
- updated to 1.6.6 (security fix).

Revision 1.53  2002/03/03 11:06:02  kloczek
- updated to 1.6.5p2 (minor fixes).

Revision 1.52  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.51  2002/02/22 23:29:46  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.50  2002/01/22 02:06:05  undefine
fix: http://bugs.pld.org.pl/?bugs=58
http://www.courtesan.com/bugzilla/show_bug.cgi?id=67

Revision 1.49  2002/01/18 09:28:08  kloczek
- updated to 1.6.5p1 (minor fixes).

Revision 1.48  2002/01/18 02:15:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.47  2002/01/17 09:56:55  kura
- updated to 1.6.5

Revision 1.46  2002/01/15 09:19:24  kura
- updated to 1.6.4p1
- removed DESTDIR.patch (no longer needed)
WARNING: SECURITY FIX -- PLEASE UPDATE

Revision 1.45  2001/12/27 11:37:52  qrczak
- Log file is now /var/log/sudo, not /var/log/sudo.log
- Add config for logrotate.
- Release 5.

Revision 1.44  2001/12/07 21:12:46  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.43  2001/10/30 03:42:48  kloczek
- merge translations from CNV.

Revision 1.42  2001/10/26 17:03:20  grzegorz
- chmod'ing g+r /etc/sudoers
- release 3

Revision 1.41  2001/10/03 00:52:28  marcus
- rewered to configure2_13, wrrr

Revision 1.40  2001/10/03 00:48:21  marcus
- added BuildRequires for ac/am

Revision 1.39  2001/06/24 14:44:42  kloczek
- bump release to 2.

Revision 1.38  2001/03/02 20:55:23  kloczek
- updated to 1.6.3p7.

Revision 1.37  2001/02/23 03:32:29  kloczek
- updated to 1.6.3p6.

Revision 1.36  2001/01/28 04:58:11  kloczek
- release 4: License is BSD (not GPL).

Revision 1.35  2000/10/03 06:47:18  kloczek
- release 3: spec now %%{debug} ready and use rpm new automation suit.

Revision 1.34  2000/09/25 04:45:19  kloczek
- release 2,
- adapterized,
- added "BuildRequires: /bin/vi".

Revision 1.33  2000/08/16 11:18:23  kloczek
- updated to 1.6.3p5.

Revision 1.32  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/06/05 11:45:47  wiget
1.6.3p4

Revision 1.30  2000/05/30 03:23:15  kloczek
- updated to 1.6.3p3,
- added "session optional /lib/security/pam_xauth.so" to sudo PAM
  authentication file,
- spec adapterized.

Revision 1.29  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.28  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.27  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.26  2000/03/28 00:00:35  kloczek
- updated to 1.6.3.

Revision 1.25  2000/03/10 18:55:29  kloczek
- updated to 1.6.2p3.

Revision 1.24  2000/02/28 12:12:51  kloczek
- updated to 1.6.2p2.

Revision 1.23  2000/02/03 22:46:01  kloczek
- updated to 1.6.2p1.

Revision 1.22  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.21  2000/01/26 16:16:01  kloczek
- updated to 1.6.2,
- adapter(ized).

Revision 1.20  1999/12/12 23:25:33  kloczek
- added pam-devel to BuildRequires.

Revision 1.19  1999/12/12 22:11:03  kloczek
- updated to 1.6.1.

Revision 1.18  1999/11/22 15:18:00  kloczek
- updated to 1.6.

Revision 1.17  1999/11/15 02:20:36  kloczek
- switch to DESTDIR style %install.

Revision 1.16  1999/11/14 01:45:44  kloczek
- updated to 1.5.9p4,
- added using %%configure macro.

Revision 1.15  1999/07/21 07:47:20  wiget
timestamp dir changed to /var/run/sudo (must be 0700 root.root)

Revision 1.14  1999/07/14 14:42:18  baggins
- cleanup

Revision 1.13  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 30 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.5.9p2-1]
- added more rpm macros.

* Wed Apr  7 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.5.9p1-1]
- added gzipping %doc
- removed man group from man pages.
